# Licensed Materials - Property of IBM                       
# Rational Software Architect RealTime Edition - TARGET RTS                 
# Copyright IBM Corporation 1999, 2014. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



package config;

# Error parser handlers

@handlers =
(
    [ '(^.*\.o: In function .*)', sub { rterror::action_message( $1, 0 ) } ],
    [ '(.*: fatal:.*)', sub { rterror::action_message( $1, 0 ) } ],
    [ '(.* Undefined symbol)', sub { rterror::action_message( $1, 0 ) } ],
    [ '(Undefined\s+first referenced)', , sub { rterror::action_message( $1, 0 ) } ]
);

return 1;
