# Licensed Materials - Property of IBM                       
# Rational Software Architect RealTime Edition - TARGET RTS                 
# Copyright IBM Corporation 1999, 2014. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



package config;

# Error parser handlers

@handlers =
(
    [ '^(.*)\((\d+)\)\s+:\s+fatal error (.*)', sub { rterror::action_print( $1, $2, $3, 0 ); } ],
    [ '^(.*)\((\d+)\)\s+:\s+error (.*)', sub { rterror::action_print( $1, $2, $3, 0 ); } ],
    [ '^(.*)\((\d+)\)\s+:\s+warning (.*)', sub { rterror::action_print( $1, $2, $3, 1 ); } ],
    [ '(warning.*)', sub { rterror::action_message( $1, 1 ); } ],
    [ '(fatal error.*)', sub { rterror::action_message( $1, 0 ); } ]
);

return 1;
