# Licensed Materials - Property of IBM                       
# Rational Software Architect RealTime Edition - TARGET RTS                 
# Copyright IBM Corporation 1999, 2014. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



package config;

# Error parser handlers

@handlers =
(
    [ '(.* No such file or directory)', sub { rterror::action_message( $1, 0 ) } ],
    [ '(.* undefined reference to .*)', sub {rterror::action_message( $1, 0 ) } ],
    [ '(.* file not recognized: .*)', sub { rterror::action_message( $1, 0 ) } ],
    [ '(.* warning: .*)', sub { rterror::action_message( $1, 1 ) } ]
);

return 1;
