/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTBoolean_inl__
#define __RTBoolean_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTBoolean_h__
#include <RTBoolean.h>
#endif

RTS_INLINE
RTTypedValue_RTBoolean::
RTTypedValue_RTBoolean( const RTBoolean & _value )
    : data( &_value )
    , type( _value.getClassData() )
{
}

RTS_INLINE
RTTypedValue_RTBoolean::
RTTypedValue_RTBoolean( const RTBoolean      & _value,
			const RTObject_class * _type )
    : data( &_value )
    , type( _type   )
{
}

#endif // __RTBoolean_inl__
