/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTReal_inl__
#define __RTReal_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTReal_h__
#include <RTReal.h>
#endif

RTS_INLINE
RTTypedValue_RTReal::
RTTypedValue_RTReal( const RTReal & _value )
    : data( &_value )
    , type( _value.getClassData() )
{
}

RTS_INLINE
RTTypedValue_RTReal::
RTTypedValue_RTReal( const RTReal         & _value,
		     const RTObject_class * _type )
    : data( &_value )
    , type( _type   )
{
}

#endif // __RTReal_inl__
