/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActiveConnector.h>
#include <RTDiag.h>

//lint -save -e1738
RTActiveConnector::RTActiveConnector( const RTActiveConnector & )
    : RTLayerConnector()
    , connector( (RTConnector_Actor *)0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTActiveConnector( const RTActiveConnector & )'" );
}
//lint -restore

RTActiveConnector & RTActiveConnector::operator=( const RTActiveConnector & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTActiveConnector::operator=( const RTActiveConnector & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
