/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorProbe.h>

void RTActorProbe::addFieldValue( const char * variable, const char * value )
{
    // create a new FieldEntry element, put last in queue
    FieldEntry * newElem = new FieldEntry( variable, value );

    if( _fieldList == (FieldEntry *)0 )
	_fieldList = newElem;
    else
    {
	FieldEntry * element = _fieldList;

	while( element->next != (FieldEntry *)0 )
	    element = element->next;

	element->next = newElem;
    }
}
