/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorRef.h>
#include <RTComponentDescriptor.h>
#include <RTDiag.h>

void RTActorRef::incarnateAll( void )
{
    RTAssert( _info->kind == RTComponentDescriptor::Fixed );

    int number = size();

    for( int i = 0; i < number; ++i )
	(void)incarnate2( (const RTActorClass *)0, (RTController *)0, i );
}
