/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiDecoding.h>
#include <RTIBuffer.h>

int RTAsciiDecoding::getByte( char & byte )
{
    if( unget_size > 0 )
    {
	byte = unget_buffer[ --unget_size ];
	return 1;
    }
    else
	return input->get( byte ) > 0;
}
