/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiDecoding.h>
#include <RTMemoryUtil.h>

int RTAsciiDecoding::get_bool( bool & value )
{
    int  status = 1;
    char word[ 20 ];

    if( getName( word, (int)sizeof( word ) ) == 0 )
	status = 0;
    else
    {
	if( RTMemoryUtil::strcmp( word, "true" ) == 0 )
	    value = true;
	else if( RTMemoryUtil::strcmp( word, "false" ) == 0 )
	    value = false;
	else
	    status = 0;
    }

    return status;
}
