/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiEncoding.h>
#include <RTDiag.h>

//lint -save -e1738
RTAsciiEncoding::RTAsciiEncoding( const RTAsciiEncoding & )
    : RTEncoding()
    , output( (RTOBuffer *)0 )
    , before( SpaceNone      )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTAsciiEncoding( const RTAsciiEncoding & )'" );
}
//lint -restore

RTAsciiEncoding & RTAsciiEncoding::operator=( const RTAsciiEncoding & )
{
    RTDiag::panic( "Unavailable method called:\n"
		"    'RTAsciiEncoding::operator=( const RTAsciiEncoding & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
