/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTBoolean.h>

RTBoolean::RTBoolean( int i )
    : RTInteger( i != 0 ? 1 : 0 )
{
}

//lint -save -e1738
RTBoolean::RTBoolean( const RTBoolean & other )
    : RTInteger( other.value != 0 ? 1 : 0 )
{
}
//lint -restore
