/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTConnector.h>

RTLayerData * RTConnector_Actor::_registerSAP( RTController * _context,
					       RTProtocol   * _sap,
					       const char   * _name )
{
    RTLayerData * info = (RTLayerData *)0;

    if( registerSAP( _context, _sap, _name ) != 0 )
	info = new SapData( this, _sap, _name );

    return info;
}
