/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#include <RTDebugger.h>

void RTController::setError( RTController::Error       error,
			     RTController::Primitive   primitive,
			     const void              * info,
			     const void              * detail )
{
    errorNumber = error;
    debugger()->trace( primitive, strerror(), info, detail );
}
