/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDataObject.h>
#include <RTObject_class.h>

RTDataObject * RTDataObject::copy( void ) const
{
    const RTObject_class * type      = getClassData();
    void                 * duplicate = type->allocate();

    if( duplicate != (void *)0 )
	type->copy( duplicate, (const void *)this );

    return (RTDataObject *)duplicate;
}
