/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebugger.h>

int RTDebugger::getCategory( void )
{
    static const RTDebuggerInput::CmdDesc categories[] =
    {
	{ TraceComm,      1, "communication" },
	{ TraceException, 1, "exception"     },
	{ TraceFrame,     1, "frame"         },
	{ TraceLayer,     1, "layer"         },
	{ TraceTimer,     1, "timer"         },
	{ TraceSystem,    1, "system"        },
	{ TraceAll,       1, "all"           },

	{ -1,             0, (const char *)0 } // terminator
    };

    return input.getCommand( categories, -1, -1 );
}
