/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebugger.h>
#include <RTIOMonitor.h>
#include <RTinet.h>
#include <RTtcp.h>

void RTDebugger::shutdownUdp( void )
{
    if( _udp != INET_NO_SOCKET )
    {
	ioMonitor->remove( _udp, RTIOMonitor::CanRead );
	RTinet_close( _udp );
	_udp = INET_NO_SOCKET;
    }
}
