/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDictionary.h>

unsigned RTDictionary::hash( const char * key, unsigned modulus )
{
    unsigned result = 0U; // for hashing ""

    while( *key != '\0' )
	result += (unsigned)( 0xFF & *key++ );

    return result % modulus;
}
