/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTElasticArray.h>

RTElasticArray & RTElasticArray::operator=( const RTElasticArray & rhs )
{
    if( this != &rhs )
    {
	delete [] _contents;

	_size     = rhs._size;
	_contents = new void * [ (unsigned)_size ];

	for( int i = 0; i < _size; ++i )
	    _contents[i] = rhs._contents[i];
    }

    return *this;
}
