/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTElasticArray.h>

int RTElasticArray::unusedIndex( int minimum )
{
    int index;

    if( minimum < 0 )
	minimum = 0;

    for( index = minimum; index < _size; ++index )
	if( _contents[ index ] == (void *)0 )
	    break;

    return index;
}

int RTElasticArray::unusedIndex( void )
{
    return unusedIndex( 0 );
}
