/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTEncoding.h>
#include <RTEnumerated.h>
#include <RTObject_class.h>

int RTEnumerated_encode( const RTObject_class * type,
			 const void           * value,
			 RTEncoding           * coding )
{
    const RTEnumerated * data = (const RTEnumerated *)value;

    return coding->put_enum( data->value, type->_num_fields, type->_fields );
}
