/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorClass.h>
#include <RTActorRef.h>
#include <RTFrame.h>

RTActorId Frame::Base::incarnate( RTActorRef         & r,
				  const RTActorClass & actorClass )
{
    return r.incarnate( actorClass,
			(const void *)0, (const RTObject_class *)0,
			(RTController *)0, -1 ); //lint !e1901 !e1911
}
