/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorClass.h>
#include <RTActorRef.h>
#include <RTFrame.h>

RTActorId Frame::Base::incarnate( RTActorRef         & r,
				  const RTDataObject & data,
				  RTController       * rts,
				  int                  index )
{
    return r.incarnate( EmptyActorClass,
			(const void *)&data, data.getClassData(),
			rts, index ); //lint !e1901 !e1911
}
