/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTIOMonitor.h>

RTIOMonitor::RTIOMonitor( const RTIOMonitor & )
    : _entries( (Entry *)0  )
    , _used   (          0U )
    , _space  (          0U )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTIOMonitor( const RTIOMonitor & )'" );
}

RTIOMonitor & RTIOMonitor::operator=( const RTIOMonitor & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTIOMonitor::operator=( const RTIOMonitor & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
