/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLayerConnector.h>
#include <RTMemoryUtil.h>

const char * RTLayerConnector::parseName( const char * name )
{
    const char * colon;

    if( name                                        != (const char *)0 &&
	(colon = RTMemoryUtil::strchr( name, ':' )) != (const char *)0 )
    {
	return &colon[ 1 ];
    }

    return name;
}
