/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLayerConnector.h>
#include <RTQueue.h>

RTLayerConnector::Pending::Pending( RTQueue    * _queue,
				    RTProtocol * _port,
				    const char * _name )
    : RTLayerData()
    , queue( _queue )
    , port ( _port  )
    , name ( _name  )
{
    queue->add( (void *)this );
}
