/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLocalConnector.h>

void RTLocalConnector::SppNode::append( SapNode * entry )
{
    if( saps == (SapNode *)0 )
    {
	entry->prev = entry;
	saps        = entry;
    }

    entry->prev       = saps->prev;
    entry->next       = saps;
    entry->prev->next = entry;
    saps ->prev       = entry;
}
