/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLocalConnector.h>
#include <RTProtocol.h>

int RTLocalConnector::SppNode::sapTotal( void ) const
{
    int       total = 0;
    SapNode * entry = saps;

    if( entry != (SapNode *)0 )
    {
	do
	{
	    total += entry->initial.sap->size();
	}
	while( (entry = entry->next) != saps );
    }

    return total;
}
