/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTMemoryInBuffer.h>

//lint -save -e1738

RTMemoryInBuffer::RTMemoryInBuffer( const RTMemoryInBuffer & )
    : RTIBuffer()
    , memory( (const char *)0 )
    , size  (               0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTMemoryInBuffer( const RTMemoryInBuffer & )'" );
}

//lint -restore

RTMemoryInBuffer & RTMemoryInBuffer::operator=( const RTMemoryInBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTMemoryInBuffer::operator=( const RTMemoryInBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
