/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMessage.h>
#include <RTPortDescriptor.h>
#include <RTProtocol.h>
#include <RTProtocolDescriptor.h>
#include <RTSignalDescriptor.h>
#include <RTSpecialSignals.h>

const char * RTMessage::getSignalName( void ) const
{
    const RTProtocolDescriptor * protocol = ( _port != (const RTProtocol *)0 )
						? _port->getInfo()->protocol
						: &RTControl_Protocol_Class;

    return ( protocol != (const RTProtocolDescriptor *)0 )
		? protocol->inSignalName( (int)signal )
		: (const char *)0;
}
