/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTMessage.h>
#include <RTMessageQ.h>

// insert the specified node at the head of the queue

void RTMessageQ::nqHead( RTMessage * node )
{
    if( head == (RTMessage *)0 ) // queue is empty
    {
	RTAssert( tail == (RTMessage *)0 );
	tail = node;
    }
    node->next = head;
    head = node;
}
