/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTObject_class.h>

void RTObject_class::destroy( void * value, DestroyOption option ) const
{
    (*_destroy_func)( this, value );

    if( option == DestroyAndDeallocate )
	::operator delete( value );
}
