/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>
#include <RTProbe.h>

RTProbe::RTProbe( RTDebugger * debugger,
		  int          id,
		  const char * strPath,
		  int          actorIndex )
    : _debugger  (                        debugger )
    , _id        (                              id )
    , _owner     (                               0 )
    , _actor     (                    (RTActor *)0 )
    , _doReport  (                               1 )
    , _refCount  (                               1 )
    , _stringPath( RTMemoryUtil::strdup( strPath ) )
    , _actorIndex(                      actorIndex )
    , _destroyMe (                               0 )
{
}
