/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTGlobalSignal.h>
#include <RTProtocol.h>
#include <RTProtocolDescriptor.h>

const RTGlobalSignal & RTProtocol::getGlobalSignal( int signal ) const
{
    const RTProtocolDescriptor * protocol = _info->protocol;

    return protocol != (const RTProtocolDescriptor *)0
		? (*protocol->getGlobalSignal)( signal )
		: RTGlobalSignal::unknown;
}
