/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTPortDescriptor.h>
#include <RTProtocol.h>

int RTProtocol::indexTo( RTActor * actor ) const
{
    if( actor != (RTActor *)0 ) // valid actor?
    {
	int replication = _info->replication;

	for( int index = 0; index < replication; ++index )
	    if( isIndexTo( index, actor ) != 0 )
		return index;
    }

    return -1;
}
