/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTProtocol.h>
#include <RTPurgeFilter.h>

RTPurgeFilter::RTPurgeFilter( RTController * _context,
			      RTProtocol   * _port,
			      Options        _options,
			      int            _signal,
			      int            _index )
    : RTQFilter()
    , context( _context       )
    , port   ( _port          )
    , options( _options       )
    , signal ( _signal        )
    , index  ( _index         )
{
}
