/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTQueue.h>

void * RTQueue::Iterator::next( void )
{
    for(;;)
    {
	if( block == (Block *)0 )
	    return (void *)0;

	if( index >= block->used )
	{
	    block = block->next;
	    index = 0;
	}
	else
	    return block->data[ index++ ];
    }
}
