/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#include <RTMessage.h>
#include <RTRecallFilter.h>

void RTRecallFilter::accept( RTMessage & msg )
{
    msg.resetDeferred();

    if( ( options & ( Front | Back ) ) == Front )
    {
	msg.next = recallToFront;
	recallToFront = &msg;
    }
    else
	context->requeueMsg( &msg, 0 );
}
