/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorRef.h>
#include <RTComponentDescriptor.h>
#include <RTInterfaceDescriptor.h>
#include <RTRelayPort.h>

int RTRelayPort::directUse( const RTActorRef * home, int id ) const
{
    const RTComponentDescriptor * info = home->getInfo();

    return ( 0 <= id && id < info->numInterfaces )
		? info->interfaces[ id ].replication
		: 0;
}
