/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTGlobalSignal.h>
#include <RTRootProtocol.h>
#include <RTSignalDescriptor.h>

static const RTSignalDescriptor RTRootProtocol_Signals[] =
{
    {
	"rtBound",
	(const RTObject_class *)0,
	RTRootProtocol::rti_rtBound
    },
    {
	"rtUnbound",
	(const RTObject_class *)0,
	RTRootProtocol::rti_rtUnbound
    }
};

const RTProtocolDescriptor RTRootProtocol::rt_class =
{
    (const RTProtocolDescriptor *)0,
    &rt_class,
    "RTRootProtocol",
    (RTVersionId)0,
    sizeof( RTRootProtocol_Signals ) / sizeof( RTRootProtocol_Signals[ 0 ] ),
    RTRootProtocol_Signals
};
