/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTSequenceOf.h>

RTSequenceOf & RTSequenceOf::operator=( const RTSequenceOf & rhs )
{
    if( this != &rhs )
    {
	spaceClean();

	if( rhs.size > 0 )
	{
	    size  = rhs.size;
	    array = new RTDataObject * [ (unsigned)size ];

	    for( int count = 0; count < size; ++count )
	    {
		RTDataObject * element = rhs.array[ count ];

		if( element != (RTDataObject *)0 )
		    element = element->copy();

		array[ count ] = element;
	    }
	}
    }

    return *this;
}
