/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTSuperActor.h"
#endif

#include <RTController.h>
#include <RTSuperActor.h>

#if USE_THREADS
#include <RTThread.h>
#endif

RTSuperActor::~RTSuperActor( void )
{
#if USE_THREADS
    delete timerThread;
    delete timerController;
#endif // USE_THREADS
}
