/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTcpSocket.h>
#include <RTinet.h>
#include <RTtcp.h>

int RTTcpSocket::getLocalPort( void ) const
{
    if( _sd == INET_NO_SOCKET )
	return 0;

    RTinet_address address;
    RTinet_port    port;

    if( RTinet_getname( _sd, &address, &port ) == 0 )
	return 0;

    return (int)port;
}
