/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>
#include <RTTcpSocket.h>
#include <RTinet.h>

int RTTcpSocket::lookup( const char * host, char * ip_address )
{
    if( lookup_numeric( host, ip_address ) == 0 )
    {
	RTinet_address address;

	if( RTinet_lookup( host, &address ) == 0 )
	    return 0;

	RTMemoryUtil::memcpy( ip_address, &address, (int)sizeof( address ) );
    }

    return 1;
}
