/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#include <RTTimerActor.h>

void RTTimerActor::cancel( RTTimerNode * node )
{
#if RTS_COUNT
    context()->countTimerCancel();
#endif

    pendingAbsolute.remove( node );
    pendingRelative.remove( node );
}
