/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTSpecialPorts.h>
#include <RTSpecialSignals.h>
#include <RTTimerActor.h>

void RTTimerActor::rtsBehavior( int signal, int port )
{
    if( port == RTControlPort )
    {
	if( signal == RTInterruptSignal ) // clock ticks
	{
	    sendTimeouts();
	    return;
	}

	if( signal == RTInitSignal )
	{
	    start();
	    return;
	}
    }

    unexpectedMessage();
}
