/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTSyncObject.h>
#include <RTTimerActor.h>
#include <RTTimerController.h>
#include <RTTimespec.h>

void RTTimerController::waitForEvents( void )
{
    RTTimerActor * timerActor = RTTimerActor::soleInstance();
    RTTimespec     timeout;

    if( timerActor == (RTTimerActor *)0 )
	_sync->wait();
    else if( timerActor->nextTimeout( timeout ) == 0 )
	_sync->wait();
    else
	_sync->timedwait( timeout );
}
