/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTElasticArray_inl__
#define __RTElasticArray_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTElasticArray_h__
#include <RTElasticArray.h>
#endif

RTS_INLINE int RTElasticArray::size( void ) const
{
    return _size;
}

RTS_INLINE void * & RTElasticArray::operator[]( int index )
{
    if( _size <= index )
	resize( index + 1 );

    return _contents[ index ];
}

#endif // __RTElasticArray_inl__
