/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTSyncObject.h>

void RTSyncObject::wait( void )
{
    SIGSELECT   selector[] = { 1, RTOseSyncSignal };
    SIGNAL    * sig        = receive( selector );
    SIGSELECT   number     = sig->_number;

    free_buf( &sig );

    if( number != RTOseSyncSignal )
	RTDiag::panic( "RTSyncObject::wait( unexpected signal )" );
}
