# Licensed Materials - Property of IBM                       
# Rational Software Architect RealTime Edition - TARGET RTS                 
# Copyright IBM Corporation 1999, 2014. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



package config;

@handlers =
(
    [ '^"(.*)", line (\d*)\.\d*: (.*\(S\).*)', sub { rterror::action_print( $1, $2, $3, 0 ); } ],
    [ '^"(.*)", line (\d*)\.\d*: (.*\(E\).*)', sub { rterror::action_print( $1, $2, $3, 0 ); } ],
    [ '^"(.*)", line (\d*)\.\d*: (.*\(W\).*)', sub { rterror::action_print( $1, $2, $3, 1 ); } ],
    [ '^"(.*)", line (\d*)\.\d*: (.*\(I\).*)', sub { rterror::action_print( $1, $2, $3, 1 ); } ],
    [ '^"(.*)", line (\d*)\.\d*: (.*\(U\).*)', sub { rterror::action_print( $1, $2, $3, 0 ); } ],
    [ 'Stop.', sub { rterror::action_ignore; } ],
    [ '^$', sub { rterror::action_ignore; } ]
);

return 1;
