/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTDataObject_inl__
#define __RTDataObject_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTDataObject_h__
#include <RTDataObject.h>
#endif

RTS_INLINE int RTDataObject::operator!=( const RTDataObject & o ) const
{
    return operator==( o ) == 0;
}

RTS_INLINE
RTTypedValue_RTDataObject::
RTTypedValue_RTDataObject( const RTDataObject & _value )
    : data( &_value )
    , type( _value.getClassData() )
{
}

RTS_INLINE
RTTypedValue_RTDataObject::
RTTypedValue_RTDataObject( const RTDataObject   & _value,
			   const RTObject_class * _type )
    : data( &_value )
    , type( _type   )
{
}

#endif // __RTDataObject_inl__
