/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTActorProbe.h>

int RTActorProbe::connectProbe( void )
{
    if( _actor != (RTActor *)0 ) // already connected
	return 0;

    RTActor * pathActor = getActorFromStrPath();

    if( pathActor == (RTActor *)0 )
	return 0;

    _actor        = pathActor;
    _actor->probe = this;

    evtPresence( _actorIndex, -1, -1 );
    evtReference( -1, -1 );

    return 1;
}
