/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorProbe.h>
#include <RTDebugger.h>

void RTActorProbe::evtPresence( int actorIndex, int observerId, int daemonId )
{
    int index = actorIndex < 0 ? _actorIndex : actorIndex;

    (void)_debugger->evtPresence( _id, index, _actor, observerId, daemonId );
}
