/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiDecoding.h>

int RTAsciiDecoding::get_unsignedshort( unsigned short & value )
{
    const unsigned shift = 8U * sizeof( value ) - 1U;
    unsigned long  tmp   = 0L;

    if( get_unsignedlong( tmp ) != 0 && ( tmp >> shift ) <= 1UL )
    {
	value = (unsigned short)tmp;
	return 1;
    }

    return 0;
}
