/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiEncoding.h>
#include <RTFieldDescriptor.h>

int RTAsciiEncoding::put_enum( int                       value,
			       int                       numElements,
			       const RTFieldDescriptor * element )
{
    RTFieldOffset offset = (RTFieldOffset)value;

    for( ; numElements > 0; --numElements, ++element )
	if( offset == element->offset )
	    return putName( element->name );

    return put_int( value );
}
