/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTCachedString.h>

#if USE_THREADS
#include <RTMutex.h>

static RTMutex critical;
#endif

void RTCachedString::lock( void )
{
#if USE_THREADS
    critical.enter();
#endif
}

void RTCachedString::unlock( void )
{
#if USE_THREADS
    critical.leave();
#endif
}
