/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#if USE_THREADS
#include <RTMutex.h>
#endif

void RTController::countActorIncarnate( void )
{
#if USE_THREADS
    _mutex->enter();
#endif

    counts.actorsIncarnated += 1U;

#if USE_THREADS
    _mutex->leave();
#endif
}
