/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTCustomController.h>

void RTCustomController::mainLoop( void )
{
    startup();

    enter( RTJob::running );

    while( phase() != RTJob::finished )
    {
	if( _processFunc != (RTActorFunction)0 )
	    (_customLayer->*_processFunc)();

	if( dispatch( Background ) != OneDelivered )
	    waitForEvents();
    }

    shutdown();
}
