/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDaemon.h>
#include <RTDiag.h>

//lint -save -e1738
//lint -esym(1744,RTDaemon::settings)
//lint -esym(1927,RTDaemon::settings)

RTDaemon::RTDaemon( const RTDaemon & )
    : debugger ( (RTDebugger *)0 )
    , actorInfo(                 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTDaemon( const RTDaemon & )'" );
}

//lint -restore

RTDaemon & RTDaemon::operator=( const RTDaemon & )
{
    RTDiag::panic( "Unavailable method called:\n"
	    "    'RTDaemon::operator=( const RTDaemon & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
