/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#include <RTDebugger.h>

RTController * RTDebugger::getTask( int index )
{
    RTController * task;

    if( index < 0 )
    {
	// invalid index
    }
    else if( (task = tasks) == (RTController *)0 )
    {
	// no tasks
    }
    else
    {
	do
	{
	    if( index == 0 )
		return task;
	}
	while( --index, (task = task->_next) != tasks );
    }

    return (RTController *)0;
}
