/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebugger.h>
#include <RTTcpSocket.h>

RTTcpSocket * RTDebugger::newConnection( void )
{
    if( listener.hasData() == 0 )
	return (RTTcpSocket *)0;

    RTTcpSocket * newSocket = new RTTcpSocket;

    newSocket->registerWith( ioMonitor );
    (void)newSocket->acceptFrom( listener );

    return newSocket;
}
