/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebugger.h>
#include <RTDiag.h>
#include <RTinet.h>

void RTDebugger::wakeupUdp( void )
{
    if( _udp != INET_NO_SOCKET )
    {
	static char anything = 'D';

	if( RTinet_sendto( _udp,
			   &anything, (int)sizeof( anything ),
			   &RTinet_loopback, _udp_port ) < 0 )
	    RTDiag::panic( "wakeupUdp" );
    }
}
