/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDictionary.h>

int RTDictionary::remove( const char * key )
{
    RTAssociation * assoc = find( key );

    if( assoc == (RTAssociation *)0 )
	return 0; // keys not found

    delete [] assoc->key;

    assoc->key = (char *)assoc;

    return 1;
}
