/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTException.h>

//lint -save -e1738
Exception::Base::Base( const Exception::Base & )
    : RTProtocol()
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'Exception::Base( const Exception::Base & )'" );
}
//lint -restore

Exception::Base & Exception::Base::operator=( const Exception::Base & )
{
    RTDiag::panic( "Unavailable method called:\n"
       "    'Exception::Base::operator=( const Exception::Base & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
