/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTFloat.h>

int RTFloat::mod10( void ) const
{
    int result = mantissa[ mantissa_words - 1 ];

    for( int i = mantissa_words - 1; --i >= 0; )
	result += ( word_scale % 10 ) * ( mantissa[ i ] % 10 );

    result %= 10;

    return result;
}
