/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorId.h>
#include <RTActorRef.h>
#include <RTFrame.h>
#include <RTTypedValue.h>

RTActorId Frame::Base::incarnate( RTActorRef         & r,
				  const RTActorClass & actorClass,
				  const RTTypedValue & info,
				  RTController       * rts,
				  int                  index )
{
    return r.incarnate( actorClass,
			info.data, info.type,
			rts, index ); //lint !e1901 !e1911
}
