/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMain.h>
#include <RTMemoryUtil.h>

const char * RTMain::debugName( void )
{
    int                  ac = argCount();
    const char * const * av = argStrings();

    while( --ac > 0 )
	if( RTMemoryUtil::strcmp( *++av, "-name=", 6 ) == 0 )
	    return *av + 6;  // "-name="

    return (const char *)0;
}
