/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTPointer.h>

RTPointer::RTPointer( void * value )
    : RTByteBlock()
{
    Contents = (char *)value;
}

RTPointer::RTPointer( const RTPointer & other )
    : RTByteBlock( other )
{
    Contents = other.Contents;
}
