/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTProtocol.h"
#pragma implementation "RTProtocol.inl"
#endif

#include <RTPortDescriptor.h>
#include <RTProtocol.h>

RTProtocol::~RTProtocol( void )
{
    delete [] _ends;

    if( ( getFlags() & Resized ) != 0 )
	delete RTConstCast( RTPortDescriptor, _info );

#ifdef _lint
    _info  = (const RTPortDescriptor *)0;
    _layer = (RTLayerData            *)0;
#endif
}
