/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTPortDescriptor.h>
#include <RTProtocol.h>

int RTProtocol::registerAs( const char * serviceName )
{
    if( ( _info->properties & RTPortDescriptor::MaskRegisterPublished ) == 0 )
	return registerSAP( serviceName );
    else
	return registerSPP( serviceName );
}
