/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTProtocol.h>

RTProtocol::RTProtocol( const RTProtocol & )
    : _ends ( (End                         *)0 )
    , _info ( (const RTPortDescriptor      *)0 )
    , _flags( SendTypeCheck | ReceiveTypeCheck )
    , _layer( (RTLayerData                 *)0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTProtocol( const RTProtocol & )'" );
}

RTProtocol & RTProtocol::operator=( const RTProtocol & )
{
    RTDiag::panic( "Unavailable method called:\n"
	       "    'RTProtocol::operator=( const RTProtocol & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
