/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTProtocolDescriptor.h>
#include <RTSignalDescriptor.h>

const char * RTProtocolDescriptor::inSignalName( int signal ) const
{
    const RTSignalDescriptor * rxSignal = inSignals;
    int                        rxCount  = numInSignals;

    for( ; --rxCount >= 0; ++rxSignal )
	if( rxSignal->value == signal )
	    return rxSignal->name;

    return (const char *)0; // no such signal
}
