/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMessage.h>
#include <RTPurgeFilter.h>

int RTPurgeFilter::select( RTMessage & msg )
{
    return                                msg.sap()       == port
	&& ( ( options & Index  ) == 0 || msg.sapIndex0() == index  )
	&& ( ( options & Signal ) == 0 || msg.signal      == signal );
}
