/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTQueue.h>

void RTQueue::add( void * data )
{
    Block * block = tail;

    if( block == (Block *)0 || block->used >= Block::Size )
    {
	block = new Block;

	block->next = (Block *)0;
	block->used = 0;

	if( head == (Block *)0 )
	    head = block;
	else
	    tail->next = block;
	tail = block;
    }

    block->data[ block->used++ ] = data;
}
