/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTQueue.h"
#pragma implementation "RTQueue.inl"
#endif

#include <RTQueue.h>

RTQueue::~RTQueue( void )
{
    Block * block = head;

    while( block != (Block *)0 )
    {
	Block * _next = block->next;

	delete block;

	block = _next;
    }

#ifdef _lint
    head = (Block *)0;
    tail = (Block *)0;
#endif
}
