/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTRecallFilter.h"
#endif

#include <RTController.h>
#include <RTMessage.h>
#include <RTRecallFilter.h>

RTRecallFilter::~RTRecallFilter( void )
{
    while( recallToFront != (RTMessage *)0 )
    {
	RTMessage * next = recallToFront->next;

	context->requeueMsg( recallToFront, 1 );
	recallToFront = next;
    }

#ifdef _lint
    context       = (RTController *)0;
    recallToFront = (RTMessage    *)0;
    port          = (RTProtocol   *)0;
#endif
}
