/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTResourceMgr.h>
#if USE_THREADS
#include <RTMutex.h>
#endif

RTResourceMgr::RTResourceMgr( void )
    : messages( (RTMessage      *)0 )
    , blocks  ( (RTMessageBlock *)0 )
#if USE_THREADS
    , access( new RTMutex )
#endif
{
}
