/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTSequenceOf.h>

RTSequenceOf::RTSequenceOf( int _size )
    : RTDataObject()
    , size ( 0 )
    , array( (RTDataObject **)0 )
{
    if( _size > 0 )
    {
	size  = _size;
	array = new RTDataObject * [ (unsigned)size ];

	for( int index = 0; index < size; ++index )
	    array[ index ] = (RTDataObject *)0;
    }
}
