/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTcpSocket.h>
#include <RTinet.h>

int RTTcpSocket::read( char * buffer, int bufferSize )
{
    if( state() != Established )
	return -1;

    int count;

    if( (count = RTinet_read( _sd, buffer, bufferSize )) < 0 )
    {
	close();
	return -1;
    }

    return count;
}
