/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTTimerActor.h"
#pragma implementation "RTTimerActor.inl"
#endif

#include <RTTimerActor.h>
#include <RTTimerNode.h>

RTTimerActor::~RTTimerActor( void )
{
    _soleInstance = (RTTimerActor *)0;

    stop();

#if USE_THREADS
    RTTimerNode::critical.enter();
#endif

    pendingAbsolute.cancelAll( context() );
    pendingRelative.cancelAll( context() );

#if USE_THREADS
    RTTimerNode::critical.leave();
#endif
}
