/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#include <RTMessage.h>
#include <RTSpecialSignals.h>
#include <RTTimerNode.h>

void RTTimerNode::_timeout( RTController * context )
{
    context->countTimerExpire();
    msg->signal = (short)RTTimeoutSignal;
    owner->receive( msg, context );
}
