/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTGlobalSignal.h>
#include <RTSignalDescriptor.h>
#include <RTTiming.h>

static const RTSignalDescriptor Timing_Signals[] =
{
    {
	"timeout",
	(const RTObject_class *)0,
	Timing::Base::rti_timeout
    }
};

const RTProtocolDescriptor Timing::Base::rt_class =
{
    (const RTProtocolDescriptor *)0,
    &rt_class,
    "Timing",
    (RTVersionId)0,
    1, Timing_Signals
};
