/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTTruncatingBuffer.h>

//lint -save -e1738

RTTruncatingBuffer::RTTruncatingBuffer( const RTTruncatingBuffer & )
    : RTMemoryOutBuffer( (char *)0, 0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTruncatingBuffer( const RTTruncatingBuffer & )'" );
}

//lint -restore

RTTruncatingBuffer & RTTruncatingBuffer::operator=( const RTTruncatingBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTTruncatingBuffer::operator=( const RTTruncatingBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
