/*
 * Licensed Materials - Property of IBM                               
 * Rational Software Architect RealTime Edition - TARGET RTS                  
 * Copyright IBM Corporation 1999, 2014. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTinet.h>
#include <RTtcp.h>

extern "C" int RTinet_reuseaddr( int sock )
{
    int flag = 1;

    while( INET_setsockopt( sock, SOL_SOCKET, SO_REUSEADDR,
			    (char *)&flag, (int)sizeof( flag ) ) != 0 )
    {
#ifdef INET_EINTR
	if( INET_error( sock ) == INET_EINTR )
	    continue;
#endif

	return 0;
    }

    return 1;
}
